diff -Nrub packages/mac80211/Makefile packages-new/mac80211/Makefile
--- packages/mac80211/Makefile	2008-07-21 06:47:02.000000000 +0300
+++ packages-new/mac80211/Makefile	2008-07-22 07:39:25.000000000 +0300
@@ -12,7 +12,7 @@
 PKG_NAME:=mac80211
 PKG_RELEASE:=1
 
-PKG_VERSION:=$(if $(CONFIG_TARGET_brcm47xx),2008-05-26,2008-07-19)
+PKG_VERSION:=2008-07-20
 PKG_SOURCE:=compat-wireless-$(PKG_VERSION).tar.bz2
 PKG_SOURCE_URL:=http://www.orbit-lab.org/kernel/compat-wireless-2.6/2008/07
 #PKG_SOURCE_URL:=http://downloads.openwrt.org/sources/
@@ -23,7 +23,7 @@
 define KernelPackage/mac80211
   SUBMENU:=Wireless Drivers
   TITLE:=Linux 802.11 Wireless Networking Stack
-  DEPENDS:=@LINUX_2_6 +kmod-crypto-arc4 +kmod-crypto-aes +wireless-tools
+  DEPENDS:=@LINUX_2_6_23||LINUX_2_6_24||LINUX_2_6_25 +kmod-crypto-core +kmod-crypto-arc4 +kmod-crypto-aes +wireless-tools +iw
   FILES:= \
 	$(PKG_BUILD_DIR)/net/mac80211/mac80211.$(LINUX_KMOD_SUFFIX) \
 	$(PKG_BUILD_DIR)/net/wireless/cfg80211.$(LINUX_KMOD_SUFFIX)
@@ -98,6 +98,15 @@
   AUTOLOAD:=$(call AutoLoad,27,rt2500pci)
 endef
 
+define KernelPackage/ath5k
+  SUBMENU:=Wireless Drivers
+  $(call KernelPackage/ath5k/Default)
+  DEPENDS+= @PCI_SUPPORT +kmod-mac80211 +kmod-ieee80211 
+  TITLE+= (Ath5k GPL Drivers dor Atheros cards)
+  FILES:=$(PKG_BUILD_DIR)/drivers/net/wireless/ath5k/ath5k.$(LINUX_KMOD_SUFFIX)
+  AUTOLOAD:=$(call AutoLoad,27,ath5k)
+endef
+
 define KernelPackage/rt2500-usb
 $(call KernelPackage/rt2x00/Default)
   DEPENDS+= @USB_SUPPORT +kmod-rt2x00-usb +kmod-crc-itu-t
@@ -168,9 +177,8 @@
 endef
 
 define Build/InstallDev
-	mkdir -p $(1)/usr/include/mac80211 $(1)/usr/include/net/mac80211
+	mkdir -p $(1)/usr/include/mac80211
 	$(CP) $(PKG_BUILD_DIR)/net/mac80211/*.h $(PKG_BUILD_DIR)/include/* $(1)/usr/include/mac80211/
-	$(CP) $(PKG_BUILD_DIR)/net/mac80211/rate.h $(1)/usr/include/net/mac80211/
 endef
 
 define KernelPackage/mac80211/install
@@ -198,3 +206,4 @@
 $(eval $(call KernelPackage,rt2500-usb))
 $(eval $(call KernelPackage,rt61-pci))
 $(eval $(call KernelPackage,rt73-usb))
+$(eval $(call KernelPackage,ath5k))
